Kritische Lücken in IOS-Routern ermöglicht „vollständige Systemkompromittierung“

Cisco warnt vor vier Schwachstellen in Routern, die die Betriebssysteme IOS XE und IOS benutzen. Die als kritisch eingestuften Anfälligkeiten erlauben es einem Angreifer, aus der Ferne und ohne Authentifizierung API-Befehle auszuführen. Unter Umständen soll es möglich sein, ein System vollständig zu kompromittieren.

Seit Mitte der Woche stehen Patches zur Verfügung, die insgesamt 25 Sicherheitslücken in IOS XE und IOS schließen. Zu den schwerwiegendsten Fehlern gehört die Lücke mit der Kennung CVE-2020-3227. Sie betrifft die IOS XE Software. Ein Angreifer kann demnach die Zugangskontrollen umgehen, weil Anfragen für Autorisierungs-Tokens nicht korrekt verarbeitet werden. Ein Angreifer muss lediglich einen speziell gestalteten API-Aufruf für ein Token starten.

CVE-2020-3205 ist indes eine Command-Injection-Anfälligkeit in der Implementierung des Inter-VM-Channel der IOS-Software. Betroffen sind die Industrial Integrated Services Router Cisco 809 und 829 sowie die 1000 Series Connected Grid Routers.

Ihre Software prüft nicht ausreichend Pakete, die an den Virtual Device Server gerichtet sind. Ein Angreifer könnte also schädliche Pakete an ein betroffenes Gerät schicken und so die vollständige Kontrolle über den Virtual Device Server erhalten, inklusive der IOS VM und der Gast-VM. „Da das Gerät auf einer Hypervisor-Architektur basiert, kann die Ausnutzung einer Schwachstelle, die den Inter-VM-Kanal betrifft, zu einer vollständigen Systemkompromittierung führen“, teilte Cisco mit.

Die genannten Router sind zudem anfällig für eine Remotecodeausführung. Im Fall von CVE-2020-3198 kann ein Absturz oder Neustart eines Routers ausgelöst werden. Dafür müssen lediglich speziell gestaltete UDP-Pakete per IPv4 oder IPv6 an den Port 9700 geschickt werden. Diese Anfälligkeit bewertet Cisco mit 9,8 von 10 möglichen Punkten.

Etwas weniger gravierend ist der Bug CVE-2020-3258, der 5,7 von 10 Punkten erhalten hat. Hier ist die Ausführung von Schadcode auf einen lokalen Nutzer beschränkt, der zudem über gültige Anmeldedaten für die höchste Sicherheitsebene verfügt. Der könnte dann jedoch den Arbeitsspeicher eines Geräts manipulieren und Systemspeicher überschreiben.

Eine Zusammenfassung des gesamten Patchday hält Cisco auf seiner Website bereit. Darin finden sich auch die einzelnen Sicherheitswarnungen mit Hinweisen zur Verfügbarkeit der Patches.

ANZEIGE

Auf zu neuen Höhen mit SkySQL, der ultimativen MariaDB Cloud

In diesem Webinar stellen wir Ihnen SkySQL vor, erläutern die Architektur und gehen auf die Unterschiede zu anderen Systemen wie Amazon RDS ein. Darüber hinaus erhalten Sie einen Einblick in die Produkt-Roadmap, eine Live-Demo und erfahren, wie Sie SkySQL innerhalb von nur wenigen Minuten in Betrieb nehmen können.

Stefan Beiersmann

Stefan unterstützt seit 2006 als Freier Mitarbeiter die ZDNet-Redaktion. Wenn andere noch schlafen, sichtet er bereits die Nachrichtenlage, sodass die ersten News des Tages meistens von ihm stammen.

Recent Posts

Sicherheitslücken im Linux-Kernel entdeckt

Russische Forscher haben Sicherheitslücken im Linux-Kernel entdeckt und bereits behoben. Linux-Admins sollten schleunigst den Patch…

18 Stunden ago

Microsoft Exchange Server von chinesischen Hackern bedroht

Eine chinesische Hackergruppe namens Hafnium nutzt Sicherheitslücken im Microsoft Exchange planmäßig aus. Microsoft rät Kunden…

21 Stunden ago

Microsoft kündigt Windows Server 2022 an

Microsoft hat auf der Konferenz Ignite am 2. März 2021 neue Funktionen für den Windows…

2 Tagen ago

Cyber-Versicherung: Munich Re kooperiert mit Google Cloud und Allianz

Die neue Kooperation von Munich Re mit Google Cloud und Allianz Global Corporate & Specialty…

2 Tagen ago

Zero Trust – Jenseits der Mythen

Zero Trust, also niemandem und keinem Netzwerk oder Gerät vertrauen, klingt zunächst geheimnisvoll. Aber in…

3 Tagen ago

Rechtslage in Sachen Datenschutz mit UK unübersichtlich

Der Austritt Großbritanniens aus der EU hat den Handelsverkehr auf beiden Seiten massiv beeinträchtigt. Unklar…

3 Tagen ago